import { customElement, DeesElement, html, type TemplateResult } from '@design.estate/dees-element';

import * as domtools from '@design.estate/dees-domtools';

@customElement('uplinternal-miniheading')
export class UplinternalMiniheading extends DeesElement {
  public render(): TemplateResult {
    return html`
      ${domtools.elementBasic.styles}
      <style>
        :host {
          display: block;
          font-family: Inter;
        }

        h5 {
          display: block;
          max-width: 900px;
          margin: 0px auto;
          padding: 0px 0px 10px 0px;
          color: #707070;
        }
      </style>
      <h5>${this.textContent}</h5>
    `;
  }
}